FROM golang:1.23.6

WORKDIR /usr/src/app

COPY go.mod go.sum ./
RUN go mod download

COPY . .

RUN CGO_ENABLED=0 GOOS=linux go build -o /usr/local/bin/gitlab-pipeline-trace .

ENTRYPOINT ["gitlab-pipeline-trace"]
